Loading...
Searching...
No Matches
Opm::RockConfig Class Reference

## Classes

struct | RockComp

## Public Types

enum class | Hysteresis { REVERS = 1 , IRREVERS = 2 , HYSTER = 3 , BOBERG = 4 , REVLIMIT = 5 , PALM_MAN = 6 , NONE = 7 }

## Public Member Functions

| RockConfig (const Deck &deck, const FieldPropsManager &fp)
bool | active () const
const std::vector< RockConfig::RockComp > & | comp () const
const std::string & | rocknum_property () const
bool | store () const
std::size_t | num_rock_tables () const
Hysteresis | hysteresis_mode () const
bool | water_compaction () const
bool | dispersion () const
bool | operator== (const RockConfig &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static RockConfig | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/SimulationConfig/RockConfig.hpp
- opm/input/eclipse/EclipseState/SimulationConfig/RockConfig.cpp